%define upstream_name    Pod-Weaver-PluginBundle-SHLOMIF
%define upstream_version 0.001004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    SHLOMIF's default Pod::Weaver config
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Pod::Elemental::PerlMunger) >= 0.200.1
BuildRequires: perl(Pod::Elemental::Transformer::List) >= 0.102.0
BuildRequires: perl(Pod::Weaver) >= 4.0.0
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Pod::Weaver::Plugin::WikiDoc)
BuildRequires: perl(Pod::Weaver::Section::Contributors) >= 0.8.0
BuildRequires: perl(Pod::Weaver::Section::Support) >= 1.1.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a the Pod::Weaver manpage PluginBundle. It is roughly equivalent to
the following weaver.ini:

  [-WikiDoc]

  [@Default]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.1.4-3.mga9
+ Revision: 1812318
- Mageia 9 Mass Rebuild

* Thu Feb 20 2020 umeabot <umeabot> 0.1.4-2.mga8
+ Revision: 1545301
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 shlomif <shlomif> 0.1.4-1.mga8
+ Revision: 1484470
- update to 0.001004

* Tue Jan 28 2020 tv <tv> 0.1.3-1.mga8
+ Revision: 1484378
- update to 0.001003

* Sun Jun 30 2019 tv <tv> 0.1.2-1.mga8
+ Revision: 1416437
- update to 0.001002

* Sat Oct 20 2018 tv <tv> 0.1.1-1.mga7
+ Revision: 1322733
- update to 0.001001

* Thu Sep 20 2018 umeabot <umeabot> 0.1.0-2.mga7
+ Revision: 1285802
- Mageia 7 Mass Rebuild

* Tue Aug 21 2018 tv <tv> 0.1.0-1.mga7
+ Revision: 1253245
- BR perl(Dist::Zilla::PluginBundle::DAGOLDEN)
+ shlomif <shlomif>
- imported package perl-Pod-Weaver-PluginBundle-SHLOMIF


* Tue Aug 21 2018 cpan2dist 0.001000-1mga
- initial mageia release, generated with cpan2dist
